
import requests
import json
import os
import sys
import time
import shutil
import subprocess
import random
import zipfile


# enter your credentials
email = ""
password = ""


headers = {
	'Content-Type': 'application/json',
}


# login

data = '{"email": "' + email + '","password": "' + password + '"}'
response = requests.post('https://www.acapela-cloud.com' + '/api/login/', headers=headers, data=data)
json_response = response.json()

if response.status_code != 200:
	print("- error login")
else:

	token = json_response["token"]

	output = "file"
	text = "hello \\mrk=3\\ good morning. How are you today ? \\mrk=4\\ I'm fine thanks and you ?"
	text_bytes = bytes(text,encoding="utf-8")

	words = [] 
	positions = []
	offsets = []
	sizes = []


	print("")
	print("Get word positions")
	print("")

	# Send command
	headers = {
		'Authorization': 'Token ' + token,
		'Content-Type': 'application/json',
		'User-Agent': 'Cloud User Agent 1.0',
	}

	output = "events"


	params = {'voice':"Ryan22k_HQ",'output':output,'text':text,'type':"mp3",'wordpos':"on",'mouthpos':"on", 'dico':"",'application':"",'volume':"32768",'shaping':"100",'speed':"100",'samplerate':"",'bitrate':"",'markpos':"on"}
	response = requests.get('https://www.acapela-cloud.com' + '/api/command/',  headers=headers, params=params)


	if response.status_code != 200:
		print("- error sending command : " + response.text)
	else:
		
			filename = "events" + ".json"
			file = open(filename, "wb")
			file.write(response.content)
			file.close()
			
			json_file = open("events.json", "r")
			contents = json_file.read()
			json_file.close()

			try:
				json_content = json.loads(contents)
				for key, value in json_content.items():

					if key == "Info":
						print("")
						text = value['Text']
						text_bytes = bytes(text,encoding="utf-8")
						print("- Text : " + text)
						print("")

					if key == "Event":
						for item in value: 
							print(item)
							for key, value in item.items():

								if key =="EventKind":
									if value == "Word":
										position = item["Time"]
										words.append(item['Word'])
										positions.append(position)
										offsets.append(item["WordOffset"])
										sizes.append(item["WordSize"])
										
								
			except ValueError as err:
				print("- Error parsing jsone vents")

