
import requests
import json
import os
import sys
import time
import shutil
import subprocess
import random
import zipfile
import vlc


# enter your credentials
email = ""
password = ""


headers = {
	'Content-Type': 'application/json',
}


# login

data = '{"email": "' + email + '","password": "' + password + '"}'
response = requests.post('https://www.acapela-cloud.com' + '/api/login/', headers=headers, data=data)
json_response = response.json()

if response.status_code != 200:
	print("- error login")
else:

	token = json_response["token"]

	output = "file"
	text = "hello \\mrk=3\\ good morning. How are you today ? \\mrk=4\\ I'm fine thanks and you ?"
	text_bytes = bytes(text,encoding="utf-8")

	words = [] 
	positions = []
	offsets = []
	sizes = []


	print("")
	print("Get word positions")
	print("")

	# Send command
	headers = {
		'Authorization': 'Token ' + token,
		'Content-Type': 'application/json',
		'User-Agent': 'Cloud User Agent 1.0',
	}

	output = "file"


	params = {'voice':"Ryan22k_HQ",'output':output,'text':text,'type':"mp3",'wordpos':"on",'mouthpos':"on", 'dico':"",'application':"",'volume':"32768",'shaping':"100",'speed':"100",'samplerate':"",'bitrate':"",'markpos':"on"}
	response = requests.get('https://www.acapela-cloud.com' + '/api/command/',  headers=headers, params=params)


	if response.status_code != 200:
		print("- error sending command : " + response.text)
	else:
		if "zip" in response.headers['Content-Type']:
			filename = "result" + ".zip"
			file = open(filename, "wb")
			file.write(response.content)
			file.close()
			with zipfile.ZipFile(filename, 'r') as zip_ref:
				zip_ref.extractall(".")

			if os.path.exists(filename):
				os.remove(filename)

			json_file = open("events.json", "r")
			contents = json_file.read()
			json_file.close()

			try:
				json_content = json.loads(contents)
				for key, value in json_content.items():

					if key == "Info":
						print("")
						text = value['Text']
						text_bytes = bytes(text,encoding="utf-8")
						print("- Text : " + text)
						print("")

					if key == "Event":
						for item in value: 
							for key, value in item.items():

								if key =="EventKind":
									if value == "Word":
										position = item["Time"]
										words.append(item['Word'])
										positions.append(position)
										offsets.append(item["WordOffset"])
										sizes.append(item["WordSize"])
										
								
			except ValueError as err:
				print("- Error parsing jsone vents")


			print("")
			print("Word positions with words")
			print("")

			player = vlc.MediaPlayer("audio.mp3")
			player.play()
		
			Ended = 6
			current_state = player.get_state()

			word_index = 0
			while current_state != Ended:
				current_audio_pos = player.get_time()
				if word_index < len(words):
					if float(positions[word_index]) * 1000 <= current_audio_pos+100 and float(positions[word_index]) * 1000 <=  current_audio_pos-100 and current_audio_pos !=0:
						print("\t - " + words[word_index] + ' - current_audio_pos : ' + str(current_audio_pos) +  " - positions[word_index] : " + str(float(positions[word_index])* 1000) )
						word_index = word_index + 1

				current_state = player.get_state()

			print("")
			print("Word positions with offset/size")
			print("")

			player = vlc.MediaPlayer("audio.mp3")
			player.play()
		
			Ended = 6
			current_state = player.get_state()

			word_index = 0
			while current_state != Ended:
				current_audio_pos = player.get_time()
				if word_index < len(words):
					if float(positions[word_index]) * 1000 <= current_audio_pos+100 and float(positions[word_index]) * 1000 <=  current_audio_pos-100 and current_audio_pos !=0:
											
						sub_text_bytes = text_bytes[offsets[word_index]:offsets[word_index]+sizes[word_index]]
						print("\t- " + sub_text_bytes.decode("utf-8") + ' - current_audio_pos : ' + str(current_audio_pos) +  " - positions[word_index] : " + str(float(positions[word_index])* 1000) )
						word_index = word_index + 1

				current_state = player.get_state()

			if os.path.exists("audio.mp3"):
				os.remove("audio.mp3")
			if os.path.exists("events.json"):
				os.remove("events.json")

			print("")
		else:
			print("- error sending a command with word pos")
			
