
import requests
import json
import os
import sys
import time
import zipfile

# enter your credentials
email = ""
password = ""


headers = {
	'Content-Type': 'application/json',
}


# login

data = '{"email": "' + email + '","password": "' + password + '"}'
response = requests.post('https://www.acapela-cloud.com' + '/api/login/', headers=headers, data=data)
json_response = response.json()

if response.status_code != 200:
	print("- error login")
else:

	token = json_response["token"]

	output = "stream"
	text = "hello \\mrk=3\\ good morning. How are you today ? \\mrk=4\\ I'm fine thanks and you ?"

	print("")
	print("Start audio/events streaming")
	print("")

	# Send command
	headers = {
		'Authorization': 'Token ' + token,
		'Content-Type': 'application/json',
		'User-Agent': 'Cloud User Agent 1.0',
	}

	params = {'voice':"Ryan22k_HQ",'output':output,'text':text,'type':"mp3",'wordpos':"on",'mouthpos':"on", 'dico':"",'application':"",'volume':"32768",'shaping':"100",'speed':"100",'samplerate':"",'bitrate':"",'markpos':"on"}
	response = requests.get('https://www.acapela-cloud.com' + '/api/command/',  headers=headers, params=params)


	if response.status_code != 200:
		print("- error sending command : " + response.text)
	else:
		
		print("")

		events = [] 
		audio = [] 

		buffer = ""
		byte_read = 0

		buffer_type = ""
		buffer_size = 0

		buffer_bytes = 0


		# get some chunks
		for chunk in response.iter_content(chunk_size=1024):

			#print("new chunk")

			# buffer blocks are received as type:size\ncontent
			# read chunk content byte per byte until we detect a block
			for byte in chunk:

				character = chr(byte)
				buffer = buffer + character

				# read buffer type and size
				if ("events:" in buffer or "audio:" in buffer) and character == "\n": 

					# we found a new block so read type and size
					buffer_info = buffer.split(":")
					buffer_type = buffer_info[0]
					buffer_size = int(buffer_info[1])
					buffer = ""
					print("\tbuffer : " + buffer_type + " - " + str(buffer_size))
			
				# we detected a new buffer so read its content
				elif buffer_type != "":


					byte_read = byte_read + 1

					if "events" in buffer_type:
						byte_as_bytes = bytes([byte])
						events.append(byte_as_bytes)
					if "audio" in buffer_type:
						byte_as_bytes = bytes([byte])
						audio.append(byte_as_bytes)
						
					# we read all the buffer content so reset to get the information about the next one
					if byte_read == buffer_size:
						print("\tbuffer : complete - " + str(byte_read))

						if "events" in buffer_type:
							print("\t" + str(buffer))

						print("")

						buffer = ""
						buffer_type = ""
						buffer_size = 0
						byte_read = 0


		# convert bytes array to string
		events_string = b''.join(events)
		events_string = events_string.decode()
				
		file = open("./mix-events.json", "w")			
		file.write(events_string)
		file.close()
		
		file = open("./mix-audio.mp3", "wb")			
		file.write(b''.join(audio))
		file.close()
		
	
